float GRENADE_RADIUS = 6.0;

int GetGrenadeDC(object oTarget);
void Burn(object oTarget, int nImpact, int nBurn, float fDur);

void main() {
	location lTarget      = GetSpellTargetLocation();
	int nFires            = 0;
	object   oTarget      = GetFirstObjectInShape(SHAPE_SPHERE, GRENADE_RADIUS, lTarget);
	float    fDelay       = 0.0;
	float    fDur		  = 8.0;
	int      nDemo        = GetSkillRank(SKILL_DEMOLITIONS, OBJECT_SELF);
	int      nId          = GetSpellId();
	
	int      nBlastDamage = 40 + nDemo;
	int      nBurnDamage  = nDemo / 2;
       int i;

	if (nBurnDamage < 1)
		nBurnDamage = 1;
			        
	ApplyEffectAtLocation(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_GRENADE_PLASMA), lTarget);
			        
	while (GetIsObjectValid(oTarget)) {
		if (!GetIsNeutral(oTarget)) {
    		fDelay = GetDistanceBetweenLocations2D(lTarget, GetLocation(oTarget)) / 15.0;
    		SignalEvent(oTarget, EventSpellCastAt(OBJECT_SELF, nId, TRUE));

    		if (FortitudeSave(oTarget, GetGrenadeDC(oTarget), SAVING_THROW_TYPE_FIRE)) {
    			if (!GetHasFeat(FEAT_EVASION, oTarget)) {	
					DelayCommand(fDelay, Burn(oTarget, nBlastDamage / 2, nBurnDamage / 2, fDur / 2.0));
    			}
    		}
    		else {
				DelayCommand(fDelay, Burn(oTarget, nBlastDamage, nBurnDamage, fDur));
				for (i = 0; i < nFires; i++)
				{
				vector loc;
				loc = GetPosition(oTarget);
				loc.z -= 4.0;
					CreateObject(OBJECT_TYPE_PLACEABLE, "plc_firepit", Location(loc, 0.0));
					DelayCommand(8.0, DestroyObject(GetObjectByTag("FirePit")));
				}
    		}	
		}
		oTarget = GetNextObjectInShape(SHAPE_SPHERE, GRENADE_RADIUS, lTarget);	
	}
	
}

void SafeApplyEffectToObject(int nType, effect eEff, object oTarget, float fDur=0.0) {
	if (GetIsObjectValid(oTarget) && !GetIsDead(oTarget) && !GetIsNeutral(oTarget)) {
		ApplyEffectToObject(nType, eEff, oTarget, fDur);	
	}	
}

void Burn(object oTarget, int nImpact, int nBurn, float fDur) {
	int    nSpec      = (GetHasFeat(FEAT_WEAPON_SPECIALIZATION_GRENADE) ? 6 : 0);
	effect eFireVis   = EffectVisualEffect(VFX_IMP_FLAME);
	effect eBurnVis   = EffectVisualEffect(2062);
	effect eOuch	  = EffectHorrified();
	effect eBlastDmg  = EffectDamage(nImpact + nSpec, DAMAGE_TYPE_FIRE);
	effect eBurnDmg   = EffectDamage(nBurn + nSpec,   DAMAGE_TYPE_FIRE);
	
	if (!GetIsNeutral(oTarget) && !GetIsLinkImmune(oTarget, eBlastDmg)) {
		ApplyEffectToObject(DURATION_TYPE_INSTANT, eFireVis, oTarget);	
		ApplyEffectToObject(DURATION_TYPE_INSTANT, eBlastDmg, oTarget);
		
		ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eBurnVis, oTarget, fDur + 0.2);
		
		float fD;
		int i;
		int nDur = FloatToInt(fDur);
		
		for (i = 0; i <= nDur; i++) {
			if (!(i % 2)) {
				fD = IntToFloat(i);
				DelayCommand(fD, SafeApplyEffectToObject(DURATION_TYPE_INSTANT, eFireVis, oTarget));
				DelayCommand(fD + 0.1, SafeApplyEffectToObject(DURATION_TYPE_INSTANT, eBurnDmg, oTarget));
				DelayCommand(fD + 0.2, SafeApplyEffectToObject(DURATION_TYPE_TEMPORARY, eOuch, oTarget, 1.0));
			}
		}
	}
}

int GetGrenadeDC(object oTarget) {
    int nDC = 10 + GetSkillRank(SKILL_DEMOLITIONS, OBJECT_SELF);
    
    nDC -= (GetHasFeat(FEAT_UNCANNY_DODGE_1, oTarget) ? 2 : 0);
    nDC -= (GetHasFeat(FEAT_UNCANNY_DODGE_2, oTarget) ? 2 : 0);

    return nDC;
}