//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//:: usm_loot
/*
     USM random crystals loot  - adds TONS of new crystals (and a few DS robes) to the random loot in TSL.
*/
//:: Created By:   Darth333 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//sets the final conditions to spawn the usm loot for containers and npcs
int USM_SpawnTreasure(object oContainer = OBJECT_SELF);
// sets the general conditions to spawn the USM loot for the crystal formations
void Usm_SpawnCaves(object oContainer = OBJECT_SELF);
// sets the planetary conditions and overall chances to spawn some usm crystal loot
void Usm_PlaceTreasure(object oContainer = OBJECT_SELF);
// Neutral and LS crystals stage 1: lvls 8-12
void UsmGeneralLoot1();
// Neutral and LS crystals stage 2: lvls 13-18
void UsmGeneralLoot2();
// Neutral and LS crystals stage 3: lvls 19 +
void UsmGeneralLoot3();
// Rare USM crystals
void UsmGeneralLoot4();
// Neutral and DS crystals stage 1: lvls 8-12
void UsmDarkLoot1();
// Neutral and DS crystals stage 2: lvls 13-18
void UsmDarkLoot2();
// Neutral and DS crystals stage 3: lvls 19+
void UsmDarkLoot3();
//Places a random crystal on Zez-Kai Ell when killed
void UsmZezKai();
//Places a random crystal on Vash when found
void UsmVash();
//Places a random crystal on Kavar Ell when killed
void UsmKavar();
// Adds chances to spawn DS robes on Korriban and the Ravager - these are the game DS robes, not custom ones
void UsmDarkRobes();
// Selection of crystals for the new Korriban crystal formation
void Usm_PlaceKorrTreasure();

//**************************************************************************************************

//Set the general conditions to spawn the USM loot: 

//**************************************************************************************************


int USM_SpawnTreasure(object oContainer = OBJECT_SELF)
{
    int nPCLevel = GetGlobalNumber("G_PC_LEVEL");
    int nRace = GetRacialType(oContainer);
    int nFaction = GetStandardFaction(oContainer);
    int nSubRace = GetSubRace(oContainer);
    string sTag = GetTag(OBJECT_SELF);
    string sSubTag = GetSubString(sTag,0,13);

// We don't want droids and beasts to give crystals - PC has to be at least lvl 8 - if true, then possible treasure
     
          if ((nPCLevel >= 8)  &&
          nRace != RACIAL_TYPE_DROID &&
          nSubRace != 2 &&
          (sSubTag !="korr_cryform_"))

      {
      
        Usm_PlaceTreasure(oContainer);
        return TRUE;
      }
        return FALSE;
}

//**************************************************************************************************

//Set the general conditions to spawn the USM loot for the crystal formations: 

//**************************************************************************************************


void Usm_SpawnCaves(object oContainer = OBJECT_SELF)
{
    int nPCLevel = GetGlobalNumber("G_PC_LEVEL");
    int nRoll=Random(100);
    string sTag = GetTag(OBJECT_SELF);
    string sSubTag = GetSubString(sTag,0,13);

// 50% chances to spawn a crystal in the korriban caves  (specific crystals) - 10 % in other caves (general usm crystals)
     
    if ((nPCLevel >= 8)  &&
    (sSubTag =="korr_cryform_")&&(nRoll >50) ) 
        {
        Usm_PlaceKorrTreasure();
        }  

      else 
       {
       Usm_PlaceTreasure();
       }
}

 
//**************************************************************************************************

//Set planetary and lvl conditions to spawn the USM crystal and robes loot : 

//**************************************************************************************************

void Usm_PlaceTreasure(object oContainer = OBJECT_SELF)

{

string sModule = GetModuleName();
 string sTag = GetTag(OBJECT_SELF);
string sSub = GetSubString(sModule,3,3);
string sSubTag = GetSubString(sTag,0,7);
int nRoll=Random(100);
int nChance;
int nPCLevel = GetGlobalNumber("G_PC_LEVEL");
int stage1;
int stage2;
int stage3;
int stage4;


//:: set the overall chances to spawn custom USM crystal loot for each planet with slightly increased chances to spawn something in areas with Jedi presence :


  // This is for the DS + neutral loot on Korriban, Trayus Academy, the Ravager and Dxun Tomb and sourrounding area: 10% chances to spawn something - 

  if ((sSub=="KOR") || (sSub=="MAL" )  || (sModule == "410DXN") ||  (sModule == "903MAL") || (sModule == "904MAL") ||  (sModule == "905MAL") ||  (sModule == "906MAL") || (sModule == "411DXN"))
      {
         nChance=10;
       }

  // This is for the LS + neutral loot for Dantoine sublevel and the Rebuilt Dantoine academy - less than DS areas as we don't add robes to the possible loot

  else if ((sModule=="610DAN") || (sModule=="650DAN"))
      {
         nChance=8;
      }


  // This is for the Crystal Caves on Dantoine - 

  else if ((sModule=="604DAN") || (sSubTag=="cryform"))
      {
          nChance=10;
      }

  // Sets a 2% chance to spawn a crystal for JekkJekk Tarr and the Tunnels on Nar Shadaa - why would those toxic gaz breathers have crystals after all...
    
  else if ((sModule=="304NAR ") || (sModule=="305NAR"))
     {
         nChance=2; 
     }

   // All other areas: 6% chance to spawn a crystal - since we added a min lvl 8 earlier, you shouldn't have random crystals on Peragus unless you are a cheater :-)

    else
     {
         nChance=6;  
     }

//:: set the overall chances to spawn certain types of crystals based on the PC level

 
  // Areas with strong DS presence:
  if ((sSub=="KOR") || (sSub=="MAL" )  || (sModule == "410DXN") ||  (sModule == "903MAL") || (sModule == "904MAL") ||  (sModule == "905MAL") ||  (sModule == "906MAL") || (sModule == "411DXN"))
     {
        // For lvls 12 and under
        if (nPCLevel<=12) 
          {
          stage1=38;  // 38% chance of Stage1 crystals
          stage2=55;  // 17% chance of Stage 2 crystals
          stage3=65;  // 10% chance of Stage 3 crystals
          stage4=70;  // 5% chance of Stage 4 crystals, which leaves 30 % for Darkside robes
          }

       // For lvls 13- 18 incl.
       else if ((nPCLevel>12) && (nPCLevel<=18)) 
         {
         stage1=17;  // 17% chance of Stage1 crystals
         stage2=55;  // 38% chance of Stage2 crystals
         stage3=65;  // 10% chance of Stage 3 crystals
         stage4=70;  // 5% chance of Stage 4 crystals, which leaves 30 % for Darkside robes
         }

      // For lvls over 18
      else if (nPCLevel>18) 
        {
        stage1=10; //10% chance of Stage1 crystals
        stage2=27; //17% chance of Stage2 crystals
        stage3=65; //38% chance of Stage 3 crystals
        stage4=70;  // 5% chance of Stage 4 crystals, which leaves 30 % for Darkside robes
        }
    }

  // For areas other than areas with strong DS presence:
  else 
    {
        // For lvls 12 and under
        if (nPCLevel<=12) 
        {
        stage1=55;  //55% chance of Stage1 crystals
        stage2=80;  //25% chance of Stage 2 crystals
        stage3=95;  //15% chance of Stage 3 crystals, which leaves 5 % for Stage 4 crystals
        }

       // For lvls 13- 18 incl.
       else if ((nPCLevel>12) && (nPCLevel<=18)) 
        {
        stage1=25; //25% chance of Stage1 crystals
        stage2=80; //55% chance of Stage2 crystals
        stage3=95; //15% chance of Stage 3 crystals, which leaves 5 % for Stage 4 crystals
        }

      // For lvls over 18
      else if (nPCLevel>18) 
        {
        stage1=15; //15% chance of Stage1 crystals
        stage2=40; //25% chance of Stage2 crystals
        stage3=95; //55% chance of Stage 3 crystals, which leaves 5 % for Stage 4 crystals
        }

    }


 if (nRoll<nChance) //checks if there will we loot and if yes, then check which crystal category
    { 
    //once more, let's check if we are in a DS area. If yes, then create neutral or DS loot
    if ((sSub=="KOR") || (sSub=="MAL" )  || (sModule == "410DXN") ||  (sModule == "903MAL") || (sModule == "904MAL") ||  (sModule == "905MAL") ||  (sModule == "906MAL") || (sModule == "411DXN"))
        {
        if  (nRoll<stage1) 
           { 
           UsmDarkLoot1();
           }

       else if ((nRoll>=stage1) && (nRoll<stage2)) 
           { 
           UsmDarkLoot2();
           }

       else if ((nRoll>=stage2) && (nRoll<stage3)) 
           {    
           UsmDarkLoot3();
           }

        else if ((nRoll>=stage3)  &&  (nRoll<stage4))                               
           {    
           UsmGeneralLoot4();
           }

        else if (nRoll>=stage4)                              
           {    
           UsmDarkRobes();
           }
        }
//once more, let's check if we are in a DS area. If no, then create neutral or LS loot
    else if ((sSub!="KOR") || (sSub!="MAL" )  || (sModule != "410DXN") ||  (sModule != "903MAL") || (sModule != "904MAL") ||  (sModule != "905MAL") ||  (sModule != "906MAL") || (sModule != "411DXN"))
        {
        if  (nRoll<stage1) 
           { 
            UsmGeneralLoot1();
           }

       else if ((nRoll>=stage1) && (nRoll<stage2)) 
           { 
            UsmGeneralLoot2();
           }

       else if ((nRoll>=stage2) && (nRoll<stage3)) 
           {    
            UsmGeneralLoot3();
           }

        else if (nRoll>=stage3)                            
           {    
            UsmGeneralLoot4();
           }
        }
    }
}




//**************************************************************************************************

//This is the USM General Crystal loot (used on planets other than the planets with stong DS presence): 

//**************************************************************************************************

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//:: Stage 1 crystals - these crystals have no special properties - this is the main USM crystal loot for players levels 8-12
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void UsmGeneralLoot1 ()

{
 string sTemplate;


 int nStack = 1;
 int nIdx = 1;
 object  oPC=GetFirstPC();

 int nDone=0;
 int nRandom;
 while (nDone==0)
     {

nRandom= Random (15);
switch(nRandom)

	{

//for double sabers :

        case 0: sTemplate = "usm_dblcrstl_200";
        nDone=1; 
        break;

        case 1: sTemplate = "usm_dblcrstl_201";  
        nDone=1; 
        break;

        case 2: sTemplate = "usm_dblcrstl_202";
        nDone=1; 
        break;

        case 3: sTemplate = "usm_dblcrstl_203";  
        nDone=1; 
        break;

        case 4: sTemplate = "usm_dblcrstl_204";  
        nDone=1; 
        break;


// regular sabers

       
        case 5: sTemplate = "usm_sbrcrstl_175";  
        nDone=1; 
        break;

        case 6: sTemplate = "usm_sbrcrstl_176";
        nDone=1; 
        break;

        case 7: sTemplate = "usm_sbrcrstl_177";  
        nDone=1; 
        break;

        case 8: sTemplate = "usm_sbrcrstl_178";  
        nDone=1; 
        break;

        case 9: sTemplate = "usm_sbrcrstl_179";  
        nDone=1; 
        break;

        case 10: sTemplate = "usm_sbrcrstl_206";
        nDone=1; 
        break;

        case 11: sTemplate = "usm_sbrcrstl_207";  
        nDone=1; 
        break;

        case 12: sTemplate = "usm_sbrcrstl_208";
        nDone=1; 
        break;

        case 13: sTemplate = "usm_sbrcrstl_209";  
        nDone=1; 
        break;

        case 14: sTemplate = "usm_sbrcrstl_210";  
        nDone=1; 
        break;

       }

   }    

 CreateItemOnObject(sTemplate,OBJECT_SELF, nStack);
 //SendMessageToPC(oPC, sTemplate); // if you want to print the TemplateResRef in the feed back screen uncomment this line
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//:: Stage 2 crystals - these crytals have modest special properties - this is the main USM crystal loot for players level 13-17
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void UsmGeneralLoot2 ()

{
 string sTemplate;

 int nStack = 1;
 int nIdx = 1;
 object  oPC=GetFirstPC();

 int nDone=0;
 int nRandom;
 while (nDone==0)
     {

nRandom= Random (25);
switch(nRandom)

	{

// regular sabers

        case 0: sTemplate = "usm_sbrcrstl_100";
        nDone=1; 
        break;

       case 1: sTemplate = "usm_sbrcrstl_101";  
        nDone=1; 
        break;

        case 2: sTemplate = "usm_sbrcrstl_102";
        nDone=1; 
        break;

        case 3: sTemplate = "usm_sbrcrstl_103";
        nDone=1;   
        break;

        case 4: sTemplate = "usm_sbrcrstl_104"; 
        nDone=1;  
        break;

        case 5: sTemplate = "usm_sbrcrstl_105";
        nDone=1; 
        break;

        case 6: sTemplate = "usm_sbrcrstl_106";  
        nDone=1; 
        break;

        case 7: sTemplate = "usm_sbrcrstl_107";
        nDone=1; 
        break;

        case 8: sTemplate = "usm_sbrcrstl_108";  
        nDone=1; 
        break;

        case 9: sTemplate = "usm_sbrcrstl_109";  
        nDone=1; 
        break;

        case 10: sTemplate = "usm_sbrcrstl_221";  
        nDone=1; 
        break;

        case 11: sTemplate = "usm_sbrcrstl_222";  
        nDone=1; 
        break;

        case 12: sTemplate = "usm_sbrcrstl_223";
        nDone=1; 
        break;

        case 13: sTemplate = "usm_sbrcrstl_224";  
        nDone=1; 
        break;

        case 14: sTemplate = "usm_sbrcrstl_225";
        nDone=1; 
        break;
       
        case 15: sTemplate = "usm_sbrcrstl_236";  
        nDone=1; 
        break;

        case 16: sTemplate = "usm_sbrcrstl_237";  
        nDone=1; 
        break;

         case 17: sTemplate = "usm_sbrcrstl_238";
         nDone=1; 
         break;

        case 18: sTemplate = "usm_sbrcrstl_239";  
        nDone=1; 
        break;

        case 19: sTemplate = "usm_sbrcrstl_240";
        nDone=1; 
        break;

//for short sabers:

        case 20: sTemplate = "usm_shtcrstl_170";  
        nDone=1; 
        break;

        case 21: sTemplate = "usm_shtcrstl_171";  
        nDone=1; 
        break;

        case 22: sTemplate = "usm_shtcrstl_172"; 
        nDone=1; 
        break;

        case 23: sTemplate = "usm_shtcrstl_173";  
        nDone=1; 
        break;

        case 24: sTemplate = "usm_shtcrstl_174";
        nDone=1; 
        break;

       }

   }    

 CreateItemOnObject(sTemplate,OBJECT_SELF, nStack);
 //SendMessageToPC(oPC, sTemplate); // if you want to print the TemplateResRef in the feed back screen uncomment this line

}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//:: Stage 3 crystals - these crytals have are quite powerful - this is the main USM crystal loot for players level 18-50
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void UsmGeneralLoot3 ()

{
 string sTemplate;

 int nKavar;
 int nVrook;
 int nEli;
 int nVash;
 int nPlot;
 int nT3m4;
 int nStack = 1;
 int nIdx = 1;

 nKavar = (GetGlobalNumber("000_Kavar_Dead")> 0);
 nEli = (GetGlobalNumber("000_ZezKaiEll_Dead" ) > 0);
 nVrook  = (GetGlobalNumber("000_Vrook_Dead") > 0);
 nVash =((GetGlobalNumber("702KOR_Vash")  ==1 ) && ( (GetGlobalNumber(" 000_Kavar_Dead") <1) && (GetGlobalNumber("000_ZezKaiEll_Dead") <1) && (GetGlobalNumber("000_Vrook_Dead") <1)));
 nPlot =  (GetGlobalNumber("411DXN_Complete") ==1);
 nT3m4=  (GetGlobalNumber("T3_juha_sbr") ==2);

object  oPC=GetFirstPC();

 int nDone=0;
 int nRandom;
 while (nDone==0)
     {

nRandom= Random (40);
switch(nRandom)

	{

//for double sabers

        case 0: sTemplate = "usm_dblcrstl_100"; 
        nDone=1; 
        break;

        case 1: sTemplate = "usm_dblcrstl_101"; 
        nDone=1; 
        break;

        case 2: sTemplate = "usm_dblcrstl_102";
        nDone=1; 
        break;

        case 3: sTemplate = "usm_dblcrstl_103";  
        nDone=1; 
        break;

        case 4: sTemplate = "usm_dblcrstl_104";  
        nDone=1; 
        break;

//for regular sabers

        case 5: sTemplate = "usm_sbrcrstl_115";
        nDone=1; 
        break;

        case 6: sTemplate = "usm_sbrcrstl_116";  
        nDone=1; 
        break;

        case 7: sTemplate = "usm_sbrcrstl_117";
        nDone=1; 
        break;

        case 8: sTemplate = "usm_sbrcrstl_118"; 
        nDone=1;  
        break;

        case 9: sTemplate = "usm_sbrcrstl_119";  
        nDone=1; 
        break;

        case 10: sTemplate = "usm_sbrcrstl_216"; 
        nDone=1;  
        break;

        case 11: sTemplate = "usm_sbrcrstl_217";  
        nDone=1; 
        break;

        case 12: sTemplate = "usm_sbrcrstl_218";
        nDone=1; 
        break;

        case 13: sTemplate = "usm_sbrcrstl_219";
        nDone=1;   
        break;

        case 14: sTemplate = "usm_sbrcrstl_220";
        nDone=1; 
        break;
        

//These are additional USM crystals that become available only after Kavar's Death (added to general loot) : 

        case 15: sTemplate = "usm_sbrcrstl_135";  
        nDone=nKavar; 
        break;

        case 16: sTemplate = "usm_sbrcrstl_136";
        nDone=nKavar; 
        break;

        case 17: sTemplate = "usm_sbrcrstl_137";  
        nDone=nKavar; 
        break;

        case 18: sTemplate = "usm_sbrcrstl_138";  
        nDone=nKavar; 
        break;

        case 19: sTemplate = "usm_sbrcrstl_139";
        nDone=nKavar; 
        break;

        case 20: sTemplate = "usm_sbrcrstl_140"; 
        nDone=nKavar; 
        break;

        case 21: sTemplate = "usm_sbrcrstl_141";
        nDone=nKavar; 
        break;

        case 22: sTemplate = "usm_sbrcrstl_142";  
        nDone=nKavar; 
        break;

        case 23: sTemplate = "usm_sbrcrstl_143";  
        nDone=nKavar; 
        break;

        case 24: sTemplate = "usm_sbrcrstl_144";
        nDone=nKavar; 
        break;

//These are additional USM crystals that become available only after Zez-Kai Ell's Death (added to general loot) : 

        case 25: sTemplate = "usm_dblcrstl_175";  
        nDone=nEli;
        break;

        case 26: sTemplate = "usm_dblcrstl_176";
        nDone=nEli;
        break;

        case 27: sTemplate = "usm_dblcrstl_177";  
        nDone=nEli;
        break;

        case 28: sTemplate = "usm_dblcrstl_178";  
        nDone=nEli;
        break;

        case 29: sTemplate = "usm_dblcrstl_179";
        nDone=nEli;
        break;

//These are additional USM crystals that become available only after Vash is found and if the other Masters have not been killed (yet) (added to general loot) : 

        case 30: sTemplate = "usm_sbrcrstl_125";  
        nDone=nVash;
        break;

        case 31: sTemplate = "usm_sbrcrstl_126";
        nDone=nVash;
        break;

        case 32: sTemplate = "usm_sbrcrstl_127"; 
        nDone=nVash; 
        break;

        case 33: sTemplate = "usm_sbrcrstl_128";  
        nDone=nVash;
        break;

        case 34: sTemplate = "usm_sbrcrstl_129";
        nDone=nVash;
        break;


// Addtional crystals added to random loot only if  global T3_juha_sbr==2


        case 35: sTemplate = "usm_sbrcrstl_110";
        nDone=nT3m4; 
        break;

        case 36: sTemplate = "usm_sbrcrstl_111";  
        nDone=nT3m4; 
        break;

        case 37: sTemplate = "usm_sbrcrstl_112";
        nDone=nT3m4; 
        break;

        case 38: sTemplate = "usm_sbrcrstl_113";  
        nDone=nT3m4; 
        break;

        case 39: sTemplate = "usm_sbrcrstl_114";  
        nDone=nT3m4; 
        break;
       }

   }    

 CreateItemOnObject(sTemplate,OBJECT_SELF, nStack);
 //SendMessageToPC(oPC, sTemplate); // if you want to print the TemplateResRef in the feed back screen uncomment this line

}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//:: Stage 4 crystals - rare crystals - low chances to spawn at any level - DS or LS planets
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void UsmGeneralLoot4 ()

{

 string sTemplate;

 int nStack = 1;
 int nIdx = 1;
 object  oPC=GetFirstPC();

 int nDone=0;
 int nRandom;
 while (nDone==0)
      {

nRandom= Random (10);
switch(nRandom)

	{

//for regular sabers :

        case 0: sTemplate = "usm_sbrcrstl_120";
        nDone=1; 
        break;

        case 1: sTemplate = "usm_sbrcrstl_121";  
        nDone=1; 
        break;

        case 2: sTemplate = "usm_sbrcrstl_122";
        nDone=1; 
        break;

        case 3: sTemplate = "usm_sbrcrstl_123";  
        nDone=1; 
        break;

        case 4: sTemplate = "usm_sbrcrstl_124";  
        nDone=1; 
        break;
       
        case 5: sTemplate = "usm_sbrcrstl_145";  
        nDone=1; 
        break;

        case 6: sTemplate = "usm_sbrcrstl_146";
        nDone=1; 
        break;

        case 7: sTemplate = "usm_sbrcrstl_147";  
        nDone=1; 
        break;

        case 8: sTemplate = "usm_sbrcrstl_148";  
        nDone=1; 
        break;

        case 9: sTemplate = "usm_sbrcrstl_149";  
        nDone=1; 
        break;

              }

     }    

 CreateItemOnObject(sTemplate,OBJECT_SELF, nStack);
 //SendMessageToPC(oPC, sTemplate); // if you want to print the TemplateResRef in the feed back screen uncomment this line
}

//**************************************************************************************************

// This is the neutral and DS crystal loot for Korriban, Temple and sorrounding area on Dxun, the Ravager and Malachor only 

//**************************************************************************************************


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//:: Stage 1 crystals - these crystals have no special properties - this is the main USM crystal loot for players levels 8-12
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void UsmDarkLoot1()

{

 string sTemplate;
 object  oPC=GetFirstPC();

 int nStack = 1;
 int nIdx = 1;

 int nDone=0;
 int nRandom;

 while (nDone==0)
      {

      nRandom= Random (35);
      switch(nRandom)

	{

//for double sabers :

        case 0: sTemplate = "usm_dblcrstl_200";
        nDone=1; 
        break;

        case 1: sTemplate = "usm_dblcrstl_201";  
        nDone=1; 
        break;

        case 2: sTemplate = "usm_dblcrstl_202";
        nDone=1; 
        break;

        case 3: sTemplate = "usm_dblcrstl_203";  
        nDone=1; 
        break;

        case 4: sTemplate = "usm_dblcrstl_204";  
        nDone=1; 
        break;


// regular sabers


        case 5: sTemplate = "usm_sbrcrstl_160";  
        nDone=1; 
        break;

        case 6: sTemplate = "usm_sbrcrstl_161";  
        nDone=1; 
        break;

        case 7: sTemplate = "usm_sbrcrstl_162";  
        nDone=1; 
        break;

        case 8: sTemplate = "usm_sbrcrstl_163";
        nDone=1;   
        break;

        case 9: sTemplate = "usm_sbrcrstl_164";
        nDone=1; 
        break;

        case 10: sTemplate = "usm_sbrcrstl_165";  
        nDone=1; 
        break;

        case 11: sTemplate = "usm_sbrcrstl_166";
        nDone=1; 
        break;

        case 12: sTemplate = "usm_sbrcrstl_167";  
        nDone=1; 
        break;

        case 13: sTemplate = "usm_sbrcrstl_168";  
        nDone=1; 
        break;

        case 14: sTemplate = "usm_sbrcrstl_169";
        nDone=1; 
        break;
     
        case 15: sTemplate = "usm_sbrcrstl_175";  
        nDone=1; 
        break;

        case 16: sTemplate = "usm_sbrcrstl_176";
        nDone=1; 
        break;

        case 17: sTemplate = "usm_sbrcrstl_177";  
        nDone=1; 
        break;

        case 18: sTemplate = "usm_sbrcrstl_178";  
        nDone=1; 
        break;

        case 19: sTemplate = "usm_sbrcrstl_179";  
        nDone=1; 
        break;

        case 20: sTemplate = "usm_sbrcrstl_206";
        nDone=1; 
        break;

        case 21: sTemplate = "usm_sbrcrstl_207";  
        nDone=1; 
        break;

        case 22: sTemplate = "usm_sbrcrstl_208";
        nDone=1; 
        break;

        case 23: sTemplate = "usm_sbrcrstl_209";  
        nDone=1; 
        break;

        case 24: sTemplate = "usm_sbrcrstl_210";  
        nDone=1; 
        break;

// for short sabers

        case 25: sTemplate = "usm_shtcrstl_155";  
        nDone=1; 
        break;

        case 26: sTemplate = "usm_shtcrstl_156";  
        nDone=1; 
        break;

        case 27: sTemplate = "usm_shtcrstl_157";
        nDone=1; 
        break;

        case 28: sTemplate = "usm_shtcrstl_158";  
        nDone=1; 
        break;

        case 29: sTemplate = "usm_shtcrstl_159";
        nDone=1; 
        break;

        case 30: sTemplate = "usm_shtcrstl_160";  
        nDone=1; 
        break;

        case 31: sTemplate = "usm_shtcrstl_161";  
        nDone=1; 
        break;

        case 32: sTemplate = "usm_shtcrstl_162";  
        nDone=1; 
        break;

        case 33: sTemplate = "usm_shtcrstl_163";
        nDone=1;   
        break;

        case 34: sTemplate = "usm_shtcrstl_164";
        nDone=1; 
        break;

       	}

        }

 CreateItemOnObject(sTemplate,OBJECT_SELF, nStack);
 //SendMessageToPC(oPC, sTemplate); // if you want to print the TemplateResRef in the feed back screen uncomment this line

}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//:: Stage 2 crystals - these crytals have modest special properties - this is the main USM crystal loot for players level 13-17
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void UsmDarkLoot2()

{

 string sTemplate;
 object  oPC=GetFirstPC();

 int nPlot;
 int nT3m4;
 int nStack = 1;
 int nIdx = 1;

 nPlot =  (GetGlobalNumber("411DXN_Complete") ==1);
 nT3m4=  (GetGlobalNumber("T3_juha_sbr") ==2);

 int nDone=0;
 int nRandom;
 while (nDone==0)
     {

nRandom= Random (30);
switch(nRandom)

	{

// regular sabers

        case 0: sTemplate = "usm_sbrcrstl_100";
        nDone=1; 
        break;

        case 1: sTemplate = "usm_sbrcrstl_101";  
        nDone=1; 
        break;

        case 2: sTemplate = "usm_sbrcrstl_102";
        nDone=1; 
        break;

        case 3: sTemplate = "usm_sbrcrstl_103";
        nDone=1;   
        break;

        case 4: sTemplate = "usm_sbrcrstl_104"; 
        nDone=1;  
        break;

        case 5: sTemplate = "usm_sbrcrstl_105";
        nDone=1; 
        break;

        case 6: sTemplate = "usm_sbrcrstl_106";  
        nDone=1; 
        break;

        case 7: sTemplate = "usm_sbrcrstl_107";
        nDone=1; 
        break;

        case 8: sTemplate = "usm_sbrcrstl_108";  
        nDone=1; 
        break;

        case 9: sTemplate = "usm_sbrcrstl_109";  
        nDone=1; 
        break;

        case 10: sTemplate = "usm_sbrcrstl_221";  
        nDone=1; 
        break;

        case 11: sTemplate = "usm_sbrcrstl_222";  
        nDone=1; 
        break;

        case 12: sTemplate = "usm_sbrcrstl_223";
        nDone=1; 
        break;

        case 13: sTemplate = "usm_sbrcrstl_224";  
        nDone=1; 
        break;

        case 14: sTemplate = "usm_sbrcrstl_225";
        nDone=1; 
        break;
       
        case 15: sTemplate = "usm_sbrcrstl_236";  
        nDone=1; 
        break;

        case 16: sTemplate = "usm_sbrcrstl_237";  
        nDone=1; 
        break;

         case 17: sTemplate = "usm_sbrcrstl_238";
         nDone=1; 
         break;

        case 18: sTemplate = "usm_sbrcrstl_239";  
        nDone=1; 
        break;

        case 19: sTemplate = "usm_sbrcrstl_240";
        nDone=1; 
        break;

        case 20: sTemplate = "usm_shtcrstl_170";  
        nDone=1; 
        break;

        case 21: sTemplate = "usm_shtcrstl_171";  
        nDone=1; 
        break;

        case 22: sTemplate = "usm_shtcrstl_172"; 
        nDone=1; 
        break;

        case 23: sTemplate = "usm_shtcrstl_173";  
        nDone=1; 
        break;

        case 24: sTemplate = "usm_shtcrstl_174";
        nDone=1; 
        break;

//These are additional USM crystals that become available only after the  411DXN_Complete is set to 1 (added to general loot) : 

        case 25: sTemplate = "usm_sbrcrstl_211"; 
        nDone=nPlot;
        break;

        case 26: sTemplate = "usm_sbrcrstl_212";
        nDone=nPlot;
        break;

        case 27: sTemplate = "usm_sbrcrstl_213";  
        nDone=nPlot;
        break;

        case 28: sTemplate = "usm_sbrcrstl_214";
        nDone=nPlot;  
        break;

        case 29: sTemplate = "usm_sbrcrstl_215";
        nDone=nPlot;
        break;

       }

   }

 CreateItemOnObject(sTemplate,OBJECT_SELF, nStack);
  //SendMessageToPC(oPC, sTemplate); // if you want to print the TemplateResRef in the feed back screen uncomment this line

}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//:: Stage 3 crystals - these crytals have are quite powerful - this is the main USM crystal loot for players level 18-50
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void UsmDarkLoot3()

{
 string sTemplate;
 object  oPC=GetFirstPC();

 int nPlot;
 int nT3m4;
 int nStack = 1;
int nIdx = 1;

 nPlot =  (GetGlobalNumber("411DXN_Complete") ==1);
 nT3m4=  (GetGlobalNumber("T3_juha_sbr") ==2);


 int nDone=0;
 int nRandom;
 while (nDone==0)
     {

nRandom= Random (25);
switch(nRandom)

	{

//for double sabers :
        case 0: sTemplate = "usm_dblcrstl_100"; 
        nDone=1; 
        break;

        case 1: sTemplate = "usm_dblcrstl_101"; 
        nDone=1; 
        break;

        case 2: sTemplate = "usm_dblcrstl_102";
        nDone=1; 
        break;

        case 3: sTemplate = "usm_dblcrstl_103";  
        nDone=1; 
        break;

        case 4: sTemplate = "usm_dblcrstl_104";  
        nDone=1; 
        break;


// regular sabers

        

        case 5: sTemplate = "usm_sbrcrstl_115";
        nDone=1; 
        break;

        case 6: sTemplate = "usm_sbrcrstl_116";  
        nDone=1; 
        break;

        case 7: sTemplate = "usm_sbrcrstl_117";
        nDone=1; 
        break;

        case 8: sTemplate = "usm_sbrcrstl_118"; 
        nDone=1;  
        break;

        case 9: sTemplate = "usm_sbrcrstl_119";  
        nDone=1; 
        break;

        case 10: sTemplate = "usm_sbrcrstl_216"; 
        nDone=1;  
        break;

        case 11: sTemplate = "usm_sbrcrstl_217";  
        nDone=1; 
        break;

        case 12: sTemplate = "usm_sbrcrstl_218";
        nDone=1; 
        break;

        case 13: sTemplate = "usm_sbrcrstl_219";
        nDone=1;   
        break;

        case 14: sTemplate = "usm_sbrcrstl_220";
        nDone=1; 
        break;


//These are additional USM crystals that become available only after the  411DXN_Complete is set to 1 (added to general loot) : 

        case 15: sTemplate = "usm_dblcrstl_206";  
        nDone=nPlot;
        break;

        case 16: sTemplate = "usm_dblcrstl_207";
        nDone=nPlot;
        break;

        case 17: sTemplate = "usm_dblcrstl_208";  
        nDone=nPlot;
        break;

        case 18: sTemplate = "usm_dblcrstl_209";  
        nDone=nPlot;
        break;

        case 19: sTemplate = "usm_dblcrstl_210";
        nDone=nPlot;
        break;

// Addtional crystals added to random loot only if  global T3_juha_sbr==2


        case 20: sTemplate = "usm_sbrcrstl_110";
        nDone=nT3m4; 
        break;

        case 21: sTemplate = "usm_sbrcrstl_111";  
        nDone=nT3m4; 
        break;

        case 22: sTemplate = "usm_sbrcrstl_112";
        nDone=nT3m4; 
        break;

        case 23: sTemplate = "usm_sbrcrstl_113";  
        nDone=nT3m4; 
        break;

        case 24: sTemplate = "usm_sbrcrstl_114";  
        nDone=nT3m4; 
        break;

            }

     }

 CreateItemOnObject(sTemplate,OBJECT_SELF, nStack);
 //SendMessageToPC(oPC, sTemplate); // if you want to print the TemplateResRef in the feed back screen uncomment this line
}


//**************************************************************************************************

//Places a crystal on Zez-Kai Ell when killed - 100% chances to appear

//**************************************************************************************************

void UsmZezKai()
{
    string sTemplate;
    int nRandom = Random(5);
    switch(nRandom)
 
       {
        case 0: sTemplate = "usm_dblcrstl_175";  
        break;

        case 1: sTemplate = "usm_dblcrstl_176";
        break;

        case 2: sTemplate = "usm_dblcrstl_177";  
        break;

        case 3: sTemplate = "usm_dblcrstl_178";  
        break;

        case 4: sTemplate = "usm_dblcrstl_179";
        break;

       }

    CreateItemOnObject(sTemplate,OBJECT_SELF);
   
}   

//**************************************************************************************************

//Places a crystal on Vash if PC has not yet killed any Jedi Master (yet) - 100% chances to appear

//**************************************************************************************************

void UsmVash()
{
    string sTemplate;
    int nRandom = Random(5);
    int nKavar = GetGlobalNumber(" 000_Kavar_Dead");
    int nVrook = GetGlobalNumber("000_ZezKaiEll_Dead");
    int nEli = GetGlobalNumber("000_Vrook_Dead");
    if (nKavar !=1 &&  nVrook != 1 && nEli !=1 )
   {
    switch(nRandom)
 
       {
        case 0: sTemplate = "usm_sbrcrstl_125";  
        break;

        case 1: sTemplate = "usm_sbrcrstl_126";
        break;

        case 2: sTemplate = "usm_sbrcrstl_127";  
        break;

        case 3: sTemplate = "usm_sbrcrstl_128";  
        break;

        case 4: sTemplate = "usm_sbrcrstl_129";
        break;

       }

    CreateItemOnObject(sTemplate,OBJECT_SELF);
   }
}   


//**************************************************************************************************

// Places a crystal on Kavar if killed - 100% chances to spawn a crystal.

//**************************************************************************************************

void UsmKavar()
{
    string sTemplate;
    int nRandom = Random(10);
    switch(nRandom)
    {
        case 0: sTemplate = "usm_sbrcrstl_135";  
        break;

        case 1: sTemplate = "usm_sbrcrstl_136";
        break;

        case 2: sTemplate = "usm_sbrcrstl_137";  
        break;

        case 3: sTemplate = "usm_sbrcrstl_138";  
        break;

        case 4: sTemplate = "usm_sbrcrstl_139";
        break;

        case 5: sTemplate = "usm_sbrcrstl_140"; 
        break;

        case 6: sTemplate = "usm_sbrcrstl_141";
        break;

        case 7: sTemplate = "usm_sbrcrstl_142";  
        break;

        case 8: sTemplate = "usm_sbrcrstl_143";  
        break;

        case 9: sTemplate = "usm_sbrcrstl_144";
        break;

    }

    CreateItemOnObject(sTemplate,OBJECT_SELF);
}

//**************************************************************************************************

// Plant a few DS robes on Korriban and the Ravager - these are the game DS robes, not custom ones

//**************************************************************************************************

void UsmDarkRobes()
{
    string sTemplate;
    int nRandom = Random(4);
    switch(nRandom)
    {
        case 0: sTemplate = "a_robe_14";  
        break;

        case 1: sTemplate = "a_robe_18";
        break;

        case 2: sTemplate = "a_robe_09";  
        break;

        case 3: sTemplate = "a_robe_03";  
        break;

    }

    CreateItemOnObject(sTemplate,OBJECT_SELF);
}

//**************************************************************************************************

// Selection of crystals for the Korriban crystal formation - 

//**************************************************************************************************

void Usm_PlaceKorrTreasure()
{
    string sTemplate;
    int nStack = 1;
    int nRandom = Random(20);
    switch(nRandom)
    {
        case 0: sTemplate = "usm_sbrcrstl_206";  
        break;

        case 1: sTemplate = "usm_sbrcrstl_207";
        break;

        case 2: sTemplate = "usm_sbrcrstl_210";  
        break;

        case 3: sTemplate = "usm_sbrcrstl_217";  
        break;

        case 4: sTemplate = "usm_sbrcrstl_220";
        break;

        case 5: sTemplate = "usm_sbrcrstl_237"; 
        break;

        case 6: sTemplate = "usm_sbrcrstl_238";
        break;

        case 7: sTemplate = "usm_sbrcrstl_240";  
        break;

        case 8: sTemplate = "usm_dblcrstl_101";  
        break;

        case 9: sTemplate = "usm_dblcrstl_102";
        break;

        case 10: sTemplate = "usm_sbrcrstl_116";  
        break;

        case 11: sTemplate = "usm_sbrcrstl_118";
        break;

        case 12: sTemplate = "usm_sbrcrstl_119";  
        break;

        case 13: sTemplate = "usm_sbrcrstl_176";  
        break;

        case 14: sTemplate = "usm_sbrcrstl_179";
        break;

        case 15: sTemplate = "usm_shtcrstl_171";
        break;

        case 16: sTemplate = "usm_shtcrstl_174";
        break;

        case 17: sTemplate = "usm_sbrcrstl_101";  
        break;

        case 18: sTemplate = "usm_sbrcrstl_103";  
        break;

        case 19: sTemplate = "usm_sbrcrstl_104";
        break;
    }

    CreateItemOnObject(sTemplate,OBJECT_SELF, nStack);
}

